> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Reactivate Member

> Set a member's status back to 'active'.

Requires members:write scope (admin).



## OpenAPI

````yaml /openapi.json post /v1/members/{member_id}/reactivate
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/members/{member_id}/reactivate:
    post:
      tags:
        - members
      summary: Reactivate Member
      description: |-
        Set a member's status back to 'active'.

        Requires members:write scope (admin).
      operationId: reactivate_member_v1_members__member_id__reactivate_post
      parameters:
        - in: path
          name: member_id
          required: true
          schema:
            title: Member Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MemberStatusOut'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    MemberStatusOut:
      properties:
        id:
          title: Id
          type: string
        status:
          title: Status
          type: string
        updated:
          default: true
          title: Updated
          type: boolean
      required:
        - id
        - status
      title: MemberStatusOut
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````